% Tables for MC results

clear all;
small = 1.0e-10;
big = 1.0e+8;
global datadir

% -- File Directories   
outdir = 'out/';
figdir = 'fig/';
matdir = 'mat/';
datdir = '../um_mc/';
addpath('../matlab_functions');

% List Designs
Design_lst = {'Levy';'I1001';'I1003';'I1mat';'LTU003';'LTU500';'Bsheet'};
Design_name = {'Levy-BM';'I(1) c=0.01';'I(1) c=0.03';'I(1) Matern';'J c=0.03';'J c = 0.50';'Br. Sheet'};

% Results for Each Method
estr = 'isodiff';
file_str = estr;
ncol = 5;
psrt = 'b =';
p_num = [0.03; 0.06; 0.09; 0.12; 0.15];
nrow = 4;
nsr = 3;
nlr = 4;
make_sup_table;

% Results for Each Method
estr = 'FGLS';
file_str = 'FGLS_HR';
ncol = 1;
psrt = ' ';
p_num = NaN;
nrow = 6;
nsr = 1;
nlr = 2;
make_sup_table;

% Results for Each Method
estr = 'FGLS';
file_str = 'FGLS_CSCPC';
ncol = 1;
psrt = ' ';
p_num = NaN;
nrow = 6;
nsr = 5;
nlr = 6;
make_sup_table;


est_lst = {'isodiff';'FGLS';'lfreg';'lowpass';'clustFE';'IM'}; 

% Results for Each Method
estr = 'lfreg';
file_str = 'lp_eig';
ncol = 3;
psrt = 'q = ';
p_num = [10;20;50];
nrow = 2;
nsr = 1;
nlr = 2;
make_sup_table;

% Results for Each Method
estr = 'lowpass';
file_str = 'hp_eig';
ncol = 4;
psrt = 'q = ';
p_num = [5;10;20;50];
nrow = 4;
nsr = 3;
nlr = 4;
make_sup_table;

% Results for Each Method
estr = 'clustFE';
file_str = 'Clust_Clust';
ncol = 4;
psrt = 'm = ';
p_num = [30;60;120;240];
nrow = 6;
nsr = 1;
nlr = 2;
make_sup_table;

% Results for Each Method
estr = 'clustFE';
file_str = 'Clust_CSCPC';
ncol = 4;
psrt = 'm = ';
p_num = [30;60;120;240];
nrow = 6;
nsr = 5;
nlr = 6;
make_sup_table;

% Results for Each Method
estr = 'IM';
file_str = 'IM';
ncol = 3;
psrt = 'm = ';
p_num = [10;20;50];
nrow = 2;
nsr = 1;
nlr = 2;
make_sup_table;

% Results for Each Method
estr = 'SCPC';
file_str = 'OLS_CSCPC';
ncol = 1;
psrt = ' ';
p_num = NaN;
nrow = 4;
nsr = 3;
nlr = 4;
make_sup_table;


  

